# Poke

Automated network checks

## Installation

Add this line to your application's Gemfile:

    gem 'poke'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install poke

## Usage

```ruby
require 'poke'

checks = [
    Poke::Checks::Blacklist::SpamhausBlacklistCheck.new("1.2.3.4"),
    Poke::Checks::Blacklist::FreeBlacklistCheck.new("4.3.2.1")
]

Poke::Poke.new(checks, Poke::Outputers::Outputer.new).run
```

## Contributing

1. Fork it ( http://github.com/aerialls/poke/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
